# Class ContextualdataController

#### Hierarchy

- ContextualdataController

- Defined in src/contextualdata/component.js:111

#####
Index

### Properties

$compile_
$scope_
callback
content_
displayed
gmfContextualDataOptions_
gmfRaster_
longPressTimeout_
map
ngeoAutoProjection
options
overlay_
projections
timeout_

### Methods

handleMapContextMenu_
handleMapTouchEnd_
handleMapTouchStart_
hidePopover
init
preparePopover_
setContent_
showPopover

## Properties

### $compile_

$compile_: ICompileService

- Defined in src/contextualdata/component.js:157

### $scope_

$scope_: IScope

- Defined in src/contextualdata/component.js:167

### callback

callback: ((arg0: Coordinate, arg1: unknown) => unknown)

#### Type declaration

- - (arg0: Coordinate, arg1: unknown): unknown

  - #### Parameters

    - ##### arg0: Coordinate

    - ##### arg1: unknown

    #### Returns unknown

- Defined in src/contextualdata/component.js:142

### content_

content_: HTMLElement

- Defined in src/contextualdata/component.js:321

### displayed

displayed: boolean

- Defined in src/contextualdata/component.js:137
- Defined in src/contextualdata/component.js:347
- Defined in src/contextualdata/component.js:359

### gmfContextualDataOptions_

gmfContextualDataOptions_: any

- Defined in src/contextualdata/component.js:177

### gmfRaster_

gmfRaster_: any

- Defined in src/contextualdata/component.js:172

### longPressTimeout_

longPressTimeout_: number

- Defined in src/contextualdata/component.js:152
- Defined in src/contextualdata/component.js:234

### map

map: Map

- Defined in src/contextualdata/component.js:122

### ngeoAutoProjection

ngeoAutoProjection: AutoProjectionService

- Defined in src/contextualdata/component.js:182

### options

options: any

- Defined in src/contextualdata/component.js:127

### overlay_

overlay_: Overlay

- Defined in src/contextualdata/component.js:147
- Defined in src/contextualdata/component.js:326

### projections

projections: Projection[]

- Defined in src/contextualdata/component.js:132
- Defined in src/contextualdata/component.js:200

### timeout_

timeout_: ITimeoutService

- Defined in src/contextualdata/component.js:162

## Methods

### handleMapContextMenu_

- handleMapContextMenu_(event: UIEvent): void

- #### Parameters

  - ##### event: UIEvent

    Event.

  #### Returns void

  - Defined in src/contextualdata/component.js:249

### handleMapTouchEnd_

- handleMapTouchEnd_(): void

- #### Returns void

  - Defined in src/contextualdata/component.js:240

### handleMapTouchStart_

- handleMapTouchStart_(event: TouchEvent): void

- #### Parameters

  - ##### event: TouchEvent

    Event.

  #### Returns void

  - Defined in src/contextualdata/component.js:231

### hidePopover

- hidePopover(): void

- #### Returns void

  - Defined in src/contextualdata/component.js:350

### init

- init(): void

- Init

  #### Returns void

  - Defined in src/contextualdata/component.js:199

### preparePopover_

- preparePopover_(): void

- #### Returns void

  - Defined in src/contextualdata/component.js:308

### setContent_

- setContent_(coordinate: number[]): void

- #### Parameters

  - ##### coordinate: number[]

  #### Returns void

  - Defined in src/contextualdata/component.js:273

### showPopover

- showPopover(): void

- #### Returns void

  - Defined in src/contextualdata/component.js:338

Generated using TypeDoc